# BikeIM

*by Javantea*  
*2007-2017*

BikeIM is a Mail Client written in Python designed to replace Mutt, mailx, Thunderbird, and a few other clients. It supports encryption and signing with PGP as a standard feature. It was designed with security in mind so that users never have to fear a crash or weakness compromising their computer or their mail. Versions of this mail client have been tested for 10 years.

BikeIM is not a PIM and doesn't support calendar, todo lists, or user metadata. The unnecessary combination of PIM and a mail client is the reason this mail client is being released. BikeIM will never become a PIM and will never use a database. If you want a PIM, try org-mode, KMail/Kontact, Evolution, Outlook, or Evernote. https://en.wikipedia.org/wiki/List_of_personal_information_managers

If you don't have pygobject and GTK+3 you won't be able to use mail1glade2.py which is the Graphical User Interface (GUI). Visit this link for installation instructions: https://pygobject.readthedocs.io/en/latest/getting_started.html

Dependencies:
python
gtk: pango cairo gtk+ libpng gobject-introspection pygobject
indirect: libcroco librsvg icu xz-utils libgcrypt libxml2 libxslt dbus at-spi2-core at-spi2-atk atk libbsd bzip2 harfbuzz zlib expat freetype util-linux glibc libpcre glib libffi openssl
Optional (highly recommended): gnupg gpgme lxml
indirect: libassuan

* To run BikeIM with a GUI, run mail1glade2.py
* To run BikeIM with a CLI, run mail1cli.py
* To run BikeIM's backend, run mail1.py in a loop

For example:
`while true; do mail1.py; sleep 4; done`


