#!/usr/bin/env python3
"""
Mail Blacklist
by Javantea
May 22, 2015

A whitelist for AltSci Maildir.

Based on Mail1 CLI.
"""
from __future__ import print_function
import mail1
import os
import sys
import codecs
import urllib.parse

whitelist = open('whitelist1.txt','r').read().split('\n')
blacklist = set()

dirName = '/home/jvoss/Mail/saved/cur'
a = mail1.readDir(dirName)
filtera = a['files']
filtera.sort(reverse = True)
for message in filtera:
    fname = dirName + os.sep + message
    f = open(fname, 'rb').read()
    msg = mail1.message_from_bytes(f)
    mfrom = str(msg['from']).replace('\n','')
    if mfrom in whitelist:
        print(fname, mfrom)
        whitelist.remove(mfrom)
    blacklist.add(mfrom)
#next message

dirName = '/home/jvoss/Mail/badkm/cur'
a = mail1.readDir(dirName)
show = a['files']
show.sort(reverse = True)
for message in show:
    fname = dirName + os.sep + message
    f = open(fname, 'rb').read()
    msg = mail1.message_from_bytes(f)
    mfrom = str(msg['from']).replace('\n','')
    if mfrom in blacklist: print(fname, mfrom)
#next message

open('blacklist1.txt','w').write('\n'.join(blacklist))
open('whitelist2.txt','w').write('\n'.join(whitelist))
